/**Begin D:\work\PDM\PDM_UPGRADE_1224\PDM1\HRSS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRSS_LABELGPTSYNC') 
 CREATE TABLE T_HRSS_LABELGPTSYNC (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FGPTSYNSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FGPTSYNCOUNT BIGINT DEFAULT 0 NOT NULL,
FFILEURL VARCHAR(255) DEFAULT ' ' NOT NULL,
FGAIREPOID BIGINT DEFAULT 0 NOT NULL,
FGAIREPOSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINITDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FINITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


/**End D:\work\PDM\PDM_UPGRADE_1224\PDM1\HRSS_table.sql **/


/**Begin D:\work\PDM\PDM_UPGRADE_1224\PDM1\HRSS_constraint.sql **/
 EXEC P_ALTERPK 'PK_HRSS_LABELGPTSYNC', 'T_HRSS_LABELGPTSYNC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRSS_LABELGPTSYNC') CREATE INDEX IDX_HRSS_LABELGPTSYNC ON T_HRSS_LABELGPTSYNC ( FSTARTTIME );

/**End D:\work\PDM\PDM_UPGRADE_1224\PDM1\HRSS_constraint.sql **/

